Skip to main content

Login

API Playground

Authenticate with your email and password to receive an access token.

User's email address
User's password

Endpoint

POST https://devapi.marketiger3d.com/v2/Auth/Login

Parameters

No parameters required.

Request Body

{
"email": "string",
"password": "string"
}

Request Body Schema

FieldTypeRequiredDescription
emailstringYesUser's email address
passwordstringYesUser's password

Example Request

curl -X POST "https://devapi.marketiger3d.com/v2/Auth/Login" \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"password": "your_password"
}'
fetch('https://devapi.marketiger3d.com/v2/Auth/Login', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
},
body: JSON.stringify({
email: 'user@example.com',
password: 'your_password'
})
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://devapi.marketiger3d.com/v2/Auth/Login");
request.Content = new StringContent(JsonSerializer.Serialize(new {
email = "user@example.com",
password = "your_password"
}), Encoding.UTF8, "application/json");

var response = await client.SendAsync(request);
var responseContent = await response.Content.ReadAsStringAsync();

Response

Success Response (200 OK)

{
"success": true,
"data": {
"accessToken": "eyJhb..."
}
}

Response Schema

FieldTypeDescription
successbooleanIndicates if the request succeeded
dataobjectResponse data
data.accessTokenstringJWT authentication token (Bearer token)

Error Response (400 Bad Request)

{
"success": false,
"error": {
"type": "AUTHENTICATION",
"message": "Username or Password are incorrect."
}
}

Response Schema

FieldTypeDescription
successbooleanIndicates if the request succeeded
dataobjectResponse data
data.accessTokenstringJWT authentication token (Bearer token)
data.refreshTokenstringRefresh token for obtaining new access tokens

Error Responses

Error Response (400 Bad Request)

{
"success": false,
"error": {
"type": "AUTHENTICATION",
"message": "Username or Password are incorrect."
}
}

Error Codes

Error TypeStatusDescription
AUTHENTICATION400Email or password is incorrect